POST /zones/http/settings/security/domainlock
update zone http domain setting
curl -X POST "https://api.5centscdn.com/v2/zones/http/settings/security/domainlock" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"policy": "Y",
"list": "example.com,cdn.example.com",
"ips": "1.2.3.4,5.6.7.8",
"noreferer": "Y",
"mode": "save"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/http/settings/security/domainlock"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"policy": "Y",
"list": "example.com,cdn.example.com",
"ips": "1.2.3.4,5.6.7.8",
"noreferer": "Y",
"mode": "save"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/http/settings/security/domainlock", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"policy": "Y",
"list": "example.com,cdn.example.com",
"ips": "1.2.3.4,5.6.7.8",
"noreferer": "Y",
"mode": "save"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"policy": "Y",
"list": "example.com,cdn.example.com",
"ips": "1.2.3.4,5.6.7.8",
"noreferer": "Y",
"mode": "save"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/http/settings/security/domainlock", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/http/settings/security/domainlock')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"policy": "Y",
"list": "example.com,cdn.example.com",
"ips": "1.2.3.4,5.6.7.8",
"noreferer": "Y",
"mode": "save"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Zone Settings Updated"
}
/zones/http/settings/security/domainlock
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Enable or disable this feature. Y means enabled, N means disabled.
Y = blacklist — blocks the listed domains from accessing content. N = whitelist — allows only the listed domains to access content.
Comma-separated domain names.
Comma-separated IPs whitelisted regardless of domain lock.
Y=block requests with empty referer header; N=allow them
Controls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Y = blacklist — blocks the listed domains from accessing content. N = whitelist — allows only the listed domains to access content.
YNControls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.
saveappendoverwriteResponses
Status of the API response.
Human-readable status or result message